%define upstream_name    UUID
%define upstream_version 0.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for using UUID interfaces as defined in e2fsprogs
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckLib) >= 1.20.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: libuuid-devel
BuildRequires: perl-devel
%description
With these 3 routines UUID''s can easily be generated and parsed/un-parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/UUID.pm
%{perl_vendorarch}/auto/UUID/

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 1010826
- update to 0.26

* Fri Feb 12 2016 umeabot <umeabot> 0.240.0-4.mga6
+ Revision: 958196
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.240.0-3.mga6
+ Revision: 845486
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.240.0-2.mga6
+ Revision: 841278
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 837161
- update to 0.24

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 789274
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 743294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 686776
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-2.mga5
+ Revision: 631821
- Rebuild for perl 5.20

* Wed Mar 26 2014 luigiwalser <luigiwalser> 0.50.0-1.mga5
+ Revision: 608798
- imported package perl-UUID

